Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Persistent_Index_ExtId Class Reference

Helper class for TAO_Persistent_Context_Index: holds Persistent Naming Context POA id, so it can be stored as a <key> for a <value> in a hash table holding state of a Persistent Context Index. (Persistent Context Index is like directory that stores info about every active Naming Context). More...

`#include <Persistent_Entries.h>`

List of all members.

## Public Methods
| TAO_Persistent_Index_ExtId (void)
| Constructor.
| TAO_Persistent_Index_ExtId (const char *poa_id)
| Constructor.
| TAO_Persistent_Index_ExtId (const TAO_Persistent_Index_ExtId &rhs)
| Copy constructor.
| ~TAO_Persistent_Index_ExtId (void)
| Destructor.
void | operator= (const TAO_Persistent_Index_ExtId &rhs)
| Assignment operator (does copy memory).
int | operator== (const TAO_Persistent_Index_ExtId &rhs) const
| Equality comparison operator (must match both id_ and kind_).
int | operator!= (const TAO_Persistent_Index_ExtId &rhs) const
| Inequality comparison operator.
u_long | hash (void) const
## Public Attributes
const char * | poa_id_

## Detailed Description

Helper class for TAO_Persistent_Context_Index: holds Persistent Naming Context POA id, so it can be stored as a <key> for a <value> in a hash table holding state of a Persistent Context Index. (Persistent Context Index is like directory that stores info about every active Naming Context).

We need this wrapper class around the actual data because we must provide <hash> function for it to work with ACE_Hash_Map_Manager.

## Constructor & Destructor Documentation

TAO_Persistent_Index_ExtId::TAO_Persistent_Index_ExtId | ( | void |  | ) |

| Constructor.

TAO_Persistent_Index_ExtId::TAO_Persistent_Index_ExtId | ( | const char * | poa_id | ) |

| Constructor.

TAO_Persistent_Index_ExtId::TAO_Persistent_Index_ExtId | ( | const TAO_Persistent_Index_ExtId & | rhs | ) |

| Copy constructor.

TAO_Persistent_Index_ExtId::~TAO_Persistent_Index_ExtId | ( | void |  | ) |

| Destructor.

## Member Function Documentation

u_long TAO_Persistent_Index_ExtId::hash | ( | void |  | ) | const

| <hash> function is required in order for this class to be usable by ACE_Hash_Map_Manager.

int TAO_Persistent_Index_ExtId::operator!= | ( | const TAO_Persistent_Index_ExtId & | rhs | ) | const

| Inequality comparison operator.

void TAO_Persistent_Index_ExtId::operator= | ( | const TAO_Persistent_Index_ExtId & | rhs | ) |

| Assignment operator (does copy memory).

int TAO_Persistent_Index_ExtId::operator== | ( | const TAO_Persistent_Index_ExtId & | rhs | ) | const

| Equality comparison operator (must match both id_ and kind_).

## Member Data Documentation

const char* TAO_Persistent_Index_ExtId::poa_id_

| POA id to be associated with the rest of the info for some Persistent Naming Context in the Persistent Context Index.

The documentation for this class was generated from the following files:

- Persistent_Entries.h
- Persistent_Entries.cpp